package com.wechat.dao;

import org.springframework.stereotype.Repository;
import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.JsapiTicketDto;

/**
 * This is test for Git Stash
 * @author Administrator
 *
 */
@Repository
public class JsapiTicketRedisDao extends RedisGeneratorDao<String, JsapiTicketDto> {

    private String tableKey = "jsapiTicketRedis";

    public JsapiTicketDto selectJsapiTicket(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateJsapiTicket(String infoKey, JsapiTicketDto infoValue) {
        update(tableKey, infoKey, infoValue);

    }

    public void insertJsapiTicket(String infoKey, JsapiTicketDto infoValue) {
        insert(tableKey, infoKey, infoValue);

    }

    public void deleteJsapiTicket(String infoKey) {
        delete(tableKey, infoKey);

    }

}
